1. Приветствуем Вас на неофициальном форуме технической поддержки XenForo на русском языке. XenForo - новый и перспективный форумный движок от бывших создателей vBulletin.

Есть настроенный VPS c 1 сайтом - можно ли туда Ксену запихнуть, подскажите, плиз

Тема в разделе "Для новичков", создана пользователем iq2003, 13 окт 2011.

Загрузка
  1. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    Всем Здрасти! :) Влюбился в движок с первого взгляда, как раз есть идея для форума.

    Вопросик вот в чём. Есть VPS средней конфигурации с cpanel. На нём сайт вопросов и ответов, буржуйский движок, замучался с ним ужо, да и энтузиазм закончился) Но удалять жалко, всё-таки вложено много сил, да и лицензия дорогая. Думаю пусть висит, может и до него руки как-нить дойдут). Нагрузки на сервер считай нет, а платить приходиться 30$... Хостер для этого сайта мне сервак настраивал немало (я прислал ему просто все требования с сайта разработчика), поэтому хочу Вас спросить, как думаете, ничего страшного не будет, если "подселить" туда Ксену, нормально ли Ксена будет работать сервере следующей настройки? Может что-то нужно обязательно поменять?

    Вот такие настройки произведены на сервере:

    Server Requirements

    • Linux Server
    • Apache Web Server
    • MySQL (5.0)
    • PHP (version 5.0 or higher)
    • ionCube PHP Loader
    • Freetype
    • Jpeg
    • CURL
    • mhash
    • GD Library 2 or higher
    • .htaccess support (AllowOverride All)

    PHP Configuration

    • safe_mode = off
    • register_globals = off
    • open_basedir = (no value)
    • output_buffering = on
    • upload_max_filesize = 200M (or more)
    • post_max_size = 200M (or more)
    • max_execution_time = 0
    • magic_gpc_quotes = 0
    • max_input_time = 6000 (or more)
    • memory_limit = 32M (or more)
    • error_reporting = E_ALL & ~E_NOTICE | E_STRICT
    • display_errors = On
    • file_uploads = On
    • session.gc_maxlifetime = 14000 (or more)
    • CURL,GD library and FreeType library modules need to be installed.
    Я просто в этом плохо понимаю :(Системные требования вроде подходят, тем более специальный файлик отсюда заливал на хост, написало мне, что всё подходит! Но вот по поводу конфигурации php сомневаюсь, всё ли тут в порядке (имеется ввиду для Ксены)?
    Буду благодарен за Ваши ответы и советы! :)
     
  2. Magnum

    Magnum Активный пользователь

    Регистрация:
    13.02.11
    Сообщения:
    9
    Симпатии:
    3
    Версия XF:
    1.1.1
    Если всё действительно так, как указано, то всё будет отлично и xen встанет без проблем.
     
  3. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    Спасибо. Буду надеятся. Просто многое было изменено в пхп конфигупации вроде как, много настроек от того что должно быть по умолчанию, вот я и беспокоюсь, понравится ли всё эт Ксене)))

    PS А Вы точно в серверах и их настройках понимаете? :)
     
  4. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.525
    Симпатии:
    3.321
    Версия XF:
    1.5.9
    Moodle?
    Ну если только добавить поддержку imagemagic (imagic), но не обязательно.

    А "подселить" можно, конечно. Проблем не должно возникнуть.
     
  5. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    Нет, не moodle, а Анова (anova.tv), может слышали :)
    Ясненько, Пасибки)
     
  6. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.525
    Симпатии:
    3.321
    Версия XF:
    1.5.9
    А, блин, перепутал. Moodle - это система тестирования, а не FAQ :)
     
  7. Magnum

    Magnum Активный пользователь

    Регистрация:
    13.02.11
    Сообщения:
    9
    Симпатии:
    3
    Версия XF:
    1.1.1
    iq2003, да. В принципе infis действительно сказал, что можно добавить imagick. Но в принципе если в настройках указать работать на модуле php - gd, то imagick не понадобится.
     
  8. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.269
    Версия XF:
    1.5.11
  9. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    Ребят, последний вопросик, оказалось, что на сервере установлен PHP 5.2.13
    а скрипту как я понял нужен 5.2.4 минимум?

    Хостер ответил, что может обновить за денежку, вроде это длительная операция, около получаса... Но также написал, что вряд ли у меня возникнут какие то проблемы при использование версии PHP 5.2.13.

    Не знаю вот чё делать, обновлять или нет? И какую именно версию попросить поставить, там же наверное и поновее есть, или именно 5.2.4. Все ли они стабильны?)))

    PS Кстати, проверял сервак скриптом на совместимость и он почему-то даже не поругался, что у меня версия php ниже чем надобно? :)
     
  10. Pepelac

    Pepelac Продам луц в бутылках Команда форума

    Регистрация:
    28.09.10
    Сообщения:
    1.794
    Симпатии:
    1.349
    iq2003 и infis нравится это.
  11. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.269
    Версия XF:
    1.5.11
    В данном случае больше.
    Но это нелогично. Бесит такая нумерация.
     
    CyberAP нравится это.
  12. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    ох, ребят Спасибо Огромное!!! ;) и правда 5.2.13 типа более поздняя версия.
    ну и нумерация действительно...
     
  13. Pepelac

    Pepelac Продам луц в бутылках Команда форума

    Регистрация:
    28.09.10
    Сообщения:
    1.794
    Симпатии:
    1.349
    Блин, а что в этой нумерации не так?
     
  14. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    ну не знаю, первый раз такое вижу, обычно сначала идёт 5.2.13, а потом 5.2.4 (я думал подразумевается 5.2.40 как бы, что логично), а тут наоборот)))
     
  15. Pepelac

    Pepelac Продам луц в бутылках Команда форума

    Регистрация:
    28.09.10
    Сообщения:
    1.794
    Симпатии:
    1.349
    Но это же не дробные числа, чтоб откидывать нули :)
     
    iq2003 нравится это.
  16. iq2003

    iq2003 Пользователь

    Регистрация:
    13.10.11
    Сообщения:
    10
    Симпатии:
    2
    тогда 5.2.4 должна называться 5.2.04 - тогда бы и путаницы не было :)

    в общем, хорошо что вы подсказали ;) я реально бы не догадался.
    щас бы заказал хостеру апгрейд до меньшей версии)))
     
    Romchik® и CyberAP нравится это.
  17. TAIFUN

    TAIFUN Человек

    Регистрация:
    27.09.10
    Сообщения:
    2.121
    Симпатии:
    1.560
    Версия XF:
    1.5.9
    Эм, какая путаница, если 13 больше чем 4 :)
     
  18. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.269
    Версия XF:
    1.5.11
    Элементарная. 1 меньше 4-х. Я тоже воспринимаю по привычке 4 как 40. И если сделать сортировку в любой программе, 4-ка будет выше.
     
  19. CyberAP

    CyberAP Местный

    Регистрация:
    05.10.10
    Сообщения:
    2.577
    Симпатии:
    1.614
    Версия XF:
    1.5.10
    Видимо разработчики php воспринимают версию не как целое число, а как отдельные числа, разделённые точкой.
     
  20. TAIFUN

    TAIFUN Человек

    Регистрация:
    27.09.10
    Сообщения:
    2.121
    Симпатии:
    1.560
    Версия XF:
    1.5.9
    Дык там не 1, а 13.

    14.10 меньше или больше чем 15.60?
     

Поделиться этой страницей